import React, {Component} from 'react';
import Rows from './Rows.jsx';
import ExtraOptions from './ExtraOptions';
import {__} from "@/globals";

export default class CouponPanel extends Component {
    static label = __('coupon', window.CouponsPlus.textDomain);

    static getIcon() {
        return (
            <svg xmlns="http://www.w3.org/2000/svg" className="h-6 w-6" fill="none" viewBox="0 0 24 24"
                 stroke="currentColor">
                <path strokeLinecap="round" strokeLinejoin="round" strokeWidth={2}
                      d="M9 3v2m6-2v2M9 19v2m6-2v2M5 9H3m2 6H3m18-6h-2m2 6h-2M7 19h10a2 2 0 002-2V7a2 2 0 00-2-2H7a2 2 0 00-2 2v10a2 2 0 002 2zM9 9h6v6H9V9z"/>
            </svg>
        );
    }

    render() {
        return (
            <div className="flex space-x-3">
                <div className="w-full">
                    <Rows/>
                    {true && <ExtraOptions/>}
                </div>
            </div>
        )
    }
}